from fastapi import APIRouter, Depends
from backend.app.dependencies import validate_token

router = APIRouter(
    prefix="/portfolio",
    tags=["portfolio"],
    dependencies=[Depends(validate_token)],
    responses={404: {"description": "Not found"}}
)


@router.get("/{portfolio_id}")
async def get_portfolio(portfolio_id: int):
    return {
        "portfolio_id": portfolio_id,
        "name": "My Portfolio",
        "description": "This is my portfolio",
        "data": "some data"
    }
